Bullet Collision Detection & Physics Library: btMatrix3x3.h File Reference

Bullet Collision Detection & Physics Library

Classes | Macros | Functions
btMatrix3x3.h File Reference
`#include "btVector3.h"`
`#include "btQuaternion.h"`
`#include <stdio.h>`
Include dependency graph for btMatrix3x3.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | btMatrix3x3
| The btMatrix3x3 class implements a 3x3 rotation matrix, to perform linear algebra in combination with btQuaternion, btTransform and btVector3. More...
struct | btMatrix3x3FloatData
| for serialization More...
struct | btMatrix3x3DoubleData
| for serialization More...

## Macros
#define | btMatrix3x3Data btMatrix3x3FloatData

## Functions
btMatrix3x3 | operator* (const btMatrix3x3 &m, const btScalar &k)
btMatrix3x3 | operator+ (const btMatrix3x3 &m1, const btMatrix3x3 &m2)
btMatrix3x3 | operator- (const btMatrix3x3 &m1, const btMatrix3x3 &m2)
btVector3 | operator* (const btMatrix3x3 &m, const btVector3 &v)
btVector3 | operator* (const btVector3 &v, const btMatrix3x3 &m)
btMatrix3x3 | operator* (const btMatrix3x3 &m1, const btMatrix3x3 &m2)
bool | operator== (const btMatrix3x3 &m1, const btMatrix3x3 &m2)
| Equality operator between two matrices It will test all elements are equal. More...

## Macro Definition Documentation

## ◆ btMatrix3x3Data

#define btMatrix3x3Data btMatrix3x3FloatData

Definition at line 42 of file btMatrix3x3.h.

## Function Documentation

## ◆ operator*() [1/4]

btMatrix3x3 operator* | ( | const btMatrix3x3 & | m,
|  | const btScalar & | k
| ) |  |
| inline

Definition at line 836 of file btMatrix3x3.h.

## ◆ operator*() [2/4]

btVector3 operator* | ( | const btMatrix3x3 & | m,
|  | const btVector3 & | v
| ) |  |
| inline

Definition at line 1125 of file btMatrix3x3.h.

## ◆ operator*() [3/4]

btVector3 operator* | ( | const btVector3 & | v,
|  | const btMatrix3x3 & | m
| ) |  |
| inline

Definition at line 1136 of file btMatrix3x3.h.

## ◆ operator*() [4/4]

btMatrix3x3 operator* | ( | const btMatrix3x3 & | m1,
|  | const btMatrix3x3 & | m2
| ) |  |
| inline

Definition at line 1176 of file btMatrix3x3.h.

## ◆ operator+()

btMatrix3x3 operator+ | ( | const btMatrix3x3 & | m1,
|  | const btMatrix3x3 & | m2
| ) |  |
| inline

Definition at line 858 of file btMatrix3x3.h.

## ◆ operator-()

btMatrix3x3 operator- | ( | const btMatrix3x3 & | m1,
|  | const btMatrix3x3 & | m2
| ) |  |
| inline

Definition at line 882 of file btMatrix3x3.h.

## ◆ operator==()

bool operator== | ( | const btMatrix3x3 & | m1,
|  | const btMatrix3x3 & | m2
| ) |  |
| inline

Equality operator between two matrices It will test all elements are equal.

Definition at line 1277 of file btMatrix3x3.h.